Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class RadioCapability

    java.lang.Object
      org.ka2ddo.opentrac.RadioCapability

All Implemented Interfaces:
  java.io.Serializable

    public class RadioCapability

extends java.lang.Object
implements java.io.Serializable

One RadioCapability array element for the OpenTracRadioCapabilities message element.

See Also:
  `OpenTracRadioCapabilities`, Serialized Form

Field Summary
`int` | `bandwidth` Modulation bandwidth in Hertz.
`byte` | `ctcss` CTCSS subtone in use, as index through CTCSS codes.
`byte` | `detail` Further details about the information, in index through FCC definition letters.
`static java.lang.String` | `DETAIL_TYPES` Detail type codes in numeric index order.
`int` | `frequency` Radio frequency in 10s of kiloHertz.
`byte` | `function` Radio function, as index through function names.
`byte` | `information` Information type, in index through FCC definition letters.
`static java.lang.String` | `INFORMATION_TYPES` Information content type codes in numeric index order.
`byte` | `modulation` Modulation scheme, in index through FCC definition letters.
`static java.lang.String` | `MODULATION_TYPES` Modulation type codes in numeric index order.
`byte` | `multiplex` Multiplexing scheme, in index through FCC definition letters.
`static java.lang.String` | `MULTIPLEX_TYPES` Multiplexing codes in numeric index order.
`byte` | `signal` Signal content type, in index through FCC definition numbers.
`static java.lang.String` | `SIGNAL_TYPES` Signal type codes in numeric index order.
`static int` | `SIZE` Number of bytes to encode one RadioCapability structure.

Constructor Summary
`RadioCapability()` Create an uninitialized RadioCapability element.

Method Summary
`int` | `computeBody(byte[] buf, int offset)` Append this element to a message buffer
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`int` | `hashCode()` Returns a hash code value for the object.
`java.lang.String` | `valueString()` Get the human-readable String of this element's value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

  Number of bytes to encode one RadioCapability structure.

  See Also:
    Constant Field Values

### frequency

    public int frequency

  Radio frequency in 10s of kiloHertz.

### signal

    public byte signal

  Signal content type, in index through FCC definition numbers.

  See Also:
    `SIGNAL_TYPES`

### modulation

    public byte modulation

  Modulation scheme, in index through FCC definition letters.

  See Also:
    `MODULATION_TYPES`

### information

    public byte information

  Information type, in index through FCC definition letters.

  See Also:
    `INFORMATION_TYPES`

### detail

    public byte detail

  Further details about the information, in index through FCC definition letters.

  See Also:
    `DETAIL_TYPES`

### multiplex

    public byte multiplex

  Multiplexing scheme, in index through FCC definition letters.

  See Also:
    `MULTIPLEX_TYPES`

### function

    public byte function

  Radio function, as index through function names.

  See Also:
    `FUNCTION_TYPES`

### ctcss

    public byte ctcss

  CTCSS subtone in use, as index through CTCSS codes.

  See Also:
    `XmitEncoding.CTCSS_FREQS`

### bandwidth

    public int bandwidth

  Modulation bandwidth in Hertz.

### MODULATION_TYPES

    public static final java.lang.String MODULATION_TYPES

  Modulation type codes in numeric index order.

  See Also:
    Constant Field Values

### SIGNAL_TYPES

    public static final java.lang.String SIGNAL_TYPES

  Signal type codes in numeric index order.

  See Also:
    Constant Field Values

### INFORMATION_TYPES

    public static final java.lang.String INFORMATION_TYPES

  Information content type codes in numeric index order.

  See Also:
    Constant Field Values

### DETAIL_TYPES

    public static final java.lang.String DETAIL_TYPES

  Detail type codes in numeric index order.

  See Also:
    Constant Field Values

### MULTIPLEX_TYPES

    public static final java.lang.String MULTIPLEX_TYPES

  Multiplexing codes in numeric index order.

  See Also:
    Constant Field Values

Constructor Detail

### RadioCapability

    public RadioCapability()

  Create an uninitialized RadioCapability element.

Method Detail

### computeBody

    public int computeBody(byte[] buf,
                           int offset)

  Append this element to a message buffer

  Parameters:
    `buf` - byte array to add the element to
    `offset` - starting index to store the element
  Returns:
    index after the end of the stored element

### valueString

    public java.lang.String valueString()

  Get the human-readable String of this element's value.

  Returns:
    String

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `hashCode()`, `HashMap`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `equals(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD